package body MSHTML.IHTMLRect_Object is

   procedure Put_left
     (This : IHTMLRect_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLRect_Put_left,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_left;

   function Get_left
     (This : IHTMLRect_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLRect_Get_left);
   end Get_left;

   procedure Put_top
     (This : IHTMLRect_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLRect_Put_top,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_top;

   function Get_top
     (This : IHTMLRect_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLRect_Get_top);
   end Get_top;

   procedure Put_right
     (This : IHTMLRect_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLRect_Put_right,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_right;

   function Get_right
     (This : IHTMLRect_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLRect_Get_right);
   end Get_right;

   procedure Put_bottom
     (This : IHTMLRect_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLRect_Put_bottom,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_bottom;

   function Get_bottom
     (This : IHTMLRect_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLRect_Get_bottom);
   end Get_bottom;

end MSHTML.IHTMLRect_Object;

